Bug 736670 - [abrt] system-config-printer-libs-1.3.6-1.fc16: monitor.py:441:get_notifications:KeyError: 'job-originating-user-name'
Summary: [abrt] system-config-printer-libs-1.3.6-1.fc16: monitor.py:441:get_notificati...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8e2a5686372949ad7e6359d7a29...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 11:53 UTC by Milan Kerslager
Modified: 2011-10-19 04:27 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.3.7-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-19 04:27:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 827573 None None None Never

Description Milan Kerslager 2011-09-08 11:53:40 UTC
abrt version: 2.0.5
cmdline:        /usr/bin/python /usr/share/system-config-printer/scp-dbus-service.py
comment:        I printed a job to the Samba printer.
executable:     /usr/share/system-config-printer/scp-dbus-service.py
kernel:         3.1.0-0.rc4.git0.0.fc16.x86_64
reason:         monitor.py:441:get_notifications:KeyError: 'job-originating-user-name'
time:           Thu Sep  8 13:50:54 2011
uid:            500
username:       ke

backtrace:
:monitor.py:441:get_notifications:KeyError: 'job-originating-user-name'
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-printer/monitor.py", line 441, in get_notifications
:    attrs['job-originating-user-name'] != cups.getUser ()):
:KeyError: 'job-originating-user-name'
:
:Local variables in innermost frame:
:c: <cups.Connection object for localhost at 0x1978960>
:jobs: {}
:seq: 5
:self: <Monitor object at 0x1982870 (monitor+Monitor at 0x1a35060)>
:nse: u'job-created'
:jobid: 276
:notifications: {'notify-get-interval': 60, 'events': [{'job-name': u'\xda\u010dtoTisk.pdf \u2014 (\\332\\350toTisk)', 'notify-job-id': 276, 'printer-state': 3, 'notify-subscription-id': 102, 'notify-subscribed-event': u'job-created', 'printer-state-reasons': [u'none'], 'job-impressions-completed': 0, 'printer-is-accepting-jobs': True, 'notify-printer-uri': u'ipp://pitoma.pslib.cz/printers/SPSSE-LJ4300', 'job-state-reasons': u'none', 'notify-sequence-number': 5, 'notify-text': u'Job created.', 'printer-name': u'SPSSE-LJ4300', 'notify-charset': u'utf-8', 'printer-up-time': 1315482654, 'notify-natural-language': u'en-us', 'job-state': 3}, {'printer-state': 4, 'notify-subscription-id': 102, 'notify-subscribed-event': u'printer-state-changed', 'printer-state-reasons': [u'none'], 'printer-is-accepting-jobs': True, 'notify-printer-uri': u'ipp://pitoma.pslib.cz/printers/SPSSE-LJ4300', 'notify-sequence-number': 6, 'notify-text': u'Printer "SPSSE-LJ4300" state changed to processing.', 'printer-name': u'SPSSE-LJ4300', 'notify-charset': u'utf-8', 'printer-up-time': 1315482654, 'notify-natural-language': u'en-us'}, {'job-name': u'\xda\u010dtoTisk.pdf \u2014 (\\332\\350toTisk)', 'notify-job-id': 276, 'printer-state': 4, 'notify-subscription-id': 102, 'notify-subscribed-event': u'job-state-changed', 'printer-state-reasons': [u'none'], 'job-impressions-completed': 0, 'printer-is-accepting-jobs': True, 'notify-printer-uri': u'ipp://pitoma.pslib.cz/printers/SPSSE-LJ4300', 'job-state-reasons': u'job-printing', 'notify-sequence-number': 7, 'notify-text': u'Job #276 started.', 'printer-name': u'SPSSE-LJ4300', 'notify-charset': u'utf-8', 'printer-up-time': 1315482654, 'notify-natural-language': u'en-us', 'job-state': 5}], 'printer-up-time': 1315482654}
:attrs: {'HPHalftone': u'PrinterDefault', 'time-at-completed': None, 'time-at-processing': 1315482654, 'Duplex': u'None', 'HPBookletPageSize': u'Letter', 'number-up': 1, 'job-sheets': [u'none', u'none'], 'job-k-octets': 57, 'document-count': 1, 'job-media-progress': 0, 'job-uri': u'ipp://localhost:631/jobs/276', 'attributes-natural-language': u'cs-cz', 'HPBookletBackCover': False, 'job-more-info': u'http://localhost:631/jobs/276', 'HPEconoMode': u'PrinterDefault', 'PageSize': u'A4', 'HPBookletScaling': u'Proportional', 'media': u'iso_a4_210x297mm', 'attributes-charset': u'utf-8', 'copies': 2, 'ManualFeed': False, 'print-quality': 4, 'time-at-creation': 1315482654, 'OutputBin': u'PrinterDefault', 'job-printer-uri': u'ipp://localhost:631/printers/SPSSE-LJ4300', 'MediaType': u'Plain', 'job-state-reasons': u'job-printing', 'printer-resolution': (0, 0, 3), 'HPDuplicateJobMode': u'Unique', 'Smoothing': u'PrinterDefault', 'Resolution': u'600x600dpi', 'job-printer-up-time': 1315482654, 'job-id': 276, 'HPBookletFilter': False, 'job-state': 5, 'job-priority': 50, 'document-format': u'application/pdf', 'HPBookletPageOrder': u'Normal', 'job-uuid': u'urn:uuid:5a535c10-0d3e-3773-5b25-21772fadb5bd', 'InputSlot': u'Auto', 'printer-uri': u'ipp://localhost:631/printers/SPSSE-LJ4300', 'job-hold-until': u'no-hold', 'output-bin': u'printer-default', 'HPJobRetentionOption': u'HPJobRetentionOff', 'job-media-sheets-completed': 0}
:event: {'job-name': u'\xda\u010dtoTisk.pdf \u2014 (\\332\\350toTisk)', 'notify-job-id': 276, 'printer-state': 3, 'notify-subscription-id': 102, 'notify-subscribed-event': u'job-created', 'printer-state-reasons': [u'none'], 'job-impressions-completed': 0, 'printer-is-accepting-jobs': True, 'notify-printer-uri': u'ipp://pitoma.pslib.cz/printers/SPSSE-LJ4300', 'job-state-reasons': u'none', 'notify-sequence-number': 5, 'notify-text': u'Job created.', 'printer-name': u'SPSSE-LJ4300', 'notify-charset': u'utf-8', 'printer-up-time': 1315482654, 'notify-natural-language': u'en-us', 'job-state': 3}
:user: 'ke'

smolt_data:
:
:
:Obecné
:=================================
:UUID: 592814db-5d5c-4153-98cc-fc4498442796
:OS: Fedora release 16 (Verne)
:Výchozí startovací úroveň: 5
:Jazyk: cs_CZ.UTF-8
:Platfoma: x86_64
:BogoMIPS: 4987.17
:Výrobce CPU: AuthenticAMD
:Model CPU: AMD Turion(tm) II N530 Dual-Core Processor
:CPU Stepping: 3
:CPU Family: 16
:Číslo modelu CPU: 6
:Počet CPU: 2
:Rychlost CPU: 2500
:Systémová paměť: 3677
:Systémový odkládací prostor: 4095
:Výrobce: Hewlett-Packard
:Systém: HP ProBook 6555b 
:Formát desky: Notebook
:Jádro: 3.1.0-0.rc4.git0.0.fc16.x86_64
:SELinux povolen: 1
:SELinux politika: targeted
:SELinux vynucen: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Zařízení
:=================================
:(4098:17297:4156:5205) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:38407:4156:5205) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 3)
:(4098:38674:4156:5205) pci, radeon, VIDEO, M880G [Mobility Radeon HD 4200]
:(4130:38401:4156:5205) pci, None, HOST/PCI, RS880 Host Bridge
:(4156:38402:4156:5205) pci, None, PCI/PCI, N/A
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:4156:5205) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4156:5205) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(5348:18215:4156:5212) pci, wl, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(4480:59442:4156:5205) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:59474:4156:5205) pci, None, BASE, N/A
:(4480:57904:4156:5205) pci, None, BASE, Memory Stick Host Controller
:(4480:59426:4156:5205) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4098:17285:0:0) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4156:5205) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4156:5207) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4156:5205) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4156:5205) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:38671:4156:5205) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:4156:5205) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4156:5205) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4156:5205) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38408:4156:5205) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 4)
:(4130:38404:4156:5205) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:(4130:38405:4156:5205) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Informace o souborovém systému
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 7740927 4176468 3783252 1966080 1650382 1650382
:/dev/mapper/luks-2396df33-ad94-4a39-8f03-ce39c13920fd /home ext4 4096 4096 56802744 8392687 5507256 14434304 14359323 14359323
:/dev/mapper/luks-2396df33-ad94-4a39-8f03-ce39c13920fd WITHHELD ext4 4096 4096 56802744 8392687 5507256 14434304 14359323 14359323
:

Comment 1 Jiri Popelka 2011-09-08 13:21:31 UTC
Already fixed upstream (commit 2392fe0).

Comment 2 Milan Kerslager 2011-09-14 19:17:20 UTC
Package: system-config-printer-libs-1.3.6-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Second print job has been sended to the Samba printer

Comment 3 Milan Kerslager 2011-10-05 13:31:38 UTC
Package: system-config-printer-libs-1.3.6-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Trying to print to Samba printer

Comment 4 Fedora Update System 2011-10-05 17:56:09 UTC
system-config-printer-1.3.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.7-1.fc16

Comment 5 Fedora Update System 2011-10-06 21:22:05 UTC
Package system-config-printer-1.3.7-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.7-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13885
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-10-18 07:20:46 UTC
Package system-config-printer-1.3.7-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.7-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13885
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-10-19 04:27:45 UTC
system-config-printer-1.3.7-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.